curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/providers/ftn/activation/steps"
{
"state": "in_progress",
"currentStepIndex": 2,
"steps": [
{
"type": "enable",
"title": "Enable Provider",
"description": "Enable this provider to proceed to the next steps."
},
{
"type": "company-info",
"title": "Complete Company Information",
"description": "Provide required company details for provider activation.",
"requiredFields": [
{ "label": "Legal Company Name", "name": "legalCompanyName", "value": "Acme Corp", "type": "string" },
{ "label": "Registration Number", "name": "registrationNumber", "value": "12345678", "type": "string" },
{ "label": "Service Description", "name": "serviceDescription", "value": "Identity verification", "type": "string" },
{ "label": "Display Name", "name": "displayName", "value": "Acme", "type": "string" },
{ "label": "Logo", "name": "logo", "value": "iVBORw0KGgoAAAANSUhEUgAA...", "type": "base64" }
]
},
{
"type": "upload",
"title": "Upload Documents",
"description": "Upload the required documents for provider activation.",
"documents": [
{
"label": "FTN Customer Agreement",
"templateUrl": "https://static.example.com/templates/customer_agreement.docx"
},
{
"label": "Appendix A - Confirmation regarding Personal Identity Codes",
"templateUrl": "https://static.example.com/templates/appendix.docx",
"optional": true
}
],
"uploaded": [
{
"contractId": "6789abcd",
"fileName": "customer_agreement.pdf",
"fileSize": 245760,
"contentType": "application/pdf",
"uploadedAt": "2026-03-20T10:30:00.000Z",
"state": "pending"
}
]
},
{
"type": "review",
"title": "Reviewing Documents",
"description": "Your documents are being reviewed."
},
{
"type": "api-key",
"title": "Issuing Production API Key",
"description": "Production API keys are being issued."
},
{
"type": "activated",
"title": "Provider Activated",
"description": "API key has successfully been issued and configured."
}
]
}
Retrieve the computed activation steps for a specific provider.
curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/providers/ftn/activation/steps"
{
"state": "in_progress",
"currentStepIndex": 2,
"steps": [
{
"type": "enable",
"title": "Enable Provider",
"description": "Enable this provider to proceed to the next steps."
},
{
"type": "company-info",
"title": "Complete Company Information",
"description": "Provide required company details for provider activation.",
"requiredFields": [
{ "label": "Legal Company Name", "name": "legalCompanyName", "value": "Acme Corp", "type": "string" },
{ "label": "Registration Number", "name": "registrationNumber", "value": "12345678", "type": "string" },
{ "label": "Service Description", "name": "serviceDescription", "value": "Identity verification", "type": "string" },
{ "label": "Display Name", "name": "displayName", "value": "Acme", "type": "string" },
{ "label": "Logo", "name": "logo", "value": "iVBORw0KGgoAAAANSUhEUgAA...", "type": "base64" }
]
},
{
"type": "upload",
"title": "Upload Documents",
"description": "Upload the required documents for provider activation.",
"documents": [
{
"label": "FTN Customer Agreement",
"templateUrl": "https://static.example.com/templates/customer_agreement.docx"
},
{
"label": "Appendix A - Confirmation regarding Personal Identity Codes",
"templateUrl": "https://static.example.com/templates/appendix.docx",
"optional": true
}
],
"uploaded": [
{
"contractId": "6789abcd",
"fileName": "customer_agreement.pdf",
"fileSize": 245760,
"contentType": "application/pdf",
"uploadedAt": "2026-03-20T10:30:00.000Z",
"state": "pending"
}
]
},
{
"type": "review",
"title": "Reviewing Documents",
"description": "Your documents are being reviewed."
},
{
"type": "api-key",
"title": "Issuing Production API Key",
"description": "Production API keys are being issued."
},
{
"type": "activated",
"title": "Provider Activated",
"description": "API key has successfully been issued and configured."
}
]
}
Bearer <API_KEY> from Console > Developers > Workspace API Keys.smartid, ftn, mitid).not_started, in_progress, or completed.Show Step object
enable, company-info, upload, review, book-meeting, api-key, or activated.Show Field object
string, base64, or boolean.Show Uploaded document object
pending, processed, or rejected.state is rejected.curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/providers/ftn/activation/steps"
{
"state": "in_progress",
"currentStepIndex": 2,
"steps": [
{
"type": "enable",
"title": "Enable Provider",
"description": "Enable this provider to proceed to the next steps."
},
{
"type": "company-info",
"title": "Complete Company Information",
"description": "Provide required company details for provider activation.",
"requiredFields": [
{ "label": "Legal Company Name", "name": "legalCompanyName", "value": "Acme Corp", "type": "string" },
{ "label": "Registration Number", "name": "registrationNumber", "value": "12345678", "type": "string" },
{ "label": "Service Description", "name": "serviceDescription", "value": "Identity verification", "type": "string" },
{ "label": "Display Name", "name": "displayName", "value": "Acme", "type": "string" },
{ "label": "Logo", "name": "logo", "value": "iVBORw0KGgoAAAANSUhEUgAA...", "type": "base64" }
]
},
{
"type": "upload",
"title": "Upload Documents",
"description": "Upload the required documents for provider activation.",
"documents": [
{
"label": "FTN Customer Agreement",
"templateUrl": "https://static.example.com/templates/customer_agreement.docx"
},
{
"label": "Appendix A - Confirmation regarding Personal Identity Codes",
"templateUrl": "https://static.example.com/templates/appendix.docx",
"optional": true
}
],
"uploaded": [
{
"contractId": "6789abcd",
"fileName": "customer_agreement.pdf",
"fileSize": 245760,
"contentType": "application/pdf",
"uploadedAt": "2026-03-20T10:30:00.000Z",
"state": "pending"
}
]
},
{
"type": "review",
"title": "Reviewing Documents",
"description": "Your documents are being reviewed."
},
{
"type": "api-key",
"title": "Issuing Production API Key",
"description": "Production API keys are being issued."
},
{
"type": "activated",
"title": "Provider Activated",
"description": "API key has successfully been issued and configured."
}
]
}